<?php
/**
 * Utilisations de pipelines par Historique connexions
 *
 * @plugin     Historique connexions
 * @copyright  2020
 * @author     RealET
 * @licence    GNU/GPL
 * @package    SPIP\Histoconnexions\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function histoconnexions_affiche_droite($flux) {
	if ($flux['args']['exec'] !== 'auteurs') return $flux;
	
	include_spip('inc/autoriser');
	if (!autoriser('configurer', 'plugins')) return $flux;

	include_spip('inc/presentation');
	
	list($w) = get_liste_administrateurs();
	$webmestres = cadre_depliable(find_in_path('prive/themes/spip/images/histoconnexions-24.png'), _T('histoconnexions:webmestres'), false, (strlen($w)?'&bull; '.str_replace(', ','<br/>&bull; ',$w):_T('histoconnexions:variable_vide')), 'bp_infos_webmasters', 'info');
	$flux['data'] .= $webmestres;
	
	include_spip('public/assembler');
	$connectes = recuperer_fond('fonds/derniers_connectes');
	$connectes = cadre_depliable(find_in_path('prive/themes/spip/images/histoconnexions-24.png'), _T('histoconnexions:connections'), false, $connectes, 'bp_infos_connection', 'info');
	$flux['data'] .= $connectes;

	return $flux;
}

// Qui sont les webmestres et les administrateurs ?
function get_liste_administrateurs() {
	include_spip('inc/autoriser');
	include_spip('inc/texte');
	$admins = $webmestres = array();
	$s      = spip_query("SELECT id_auteur, nom, webmestre, statut  FROM spip_auteurs WHERE statut='0minirezo'");
	while ($qui = sql_fetch($s)) {
		$nom = '<a href="' . generer_url_ecrire('auteur', "id_auteur=$qui[id_auteur]") . '">' . typo($qui['nom']) . "</a> (id_auteur=$qui[id_auteur])";
		if (autoriser('webmestre', '', '', $qui))
			$webmestres[$qui['id_auteur']] = $nom;
		elseif (autoriser('configurer', 'plugins', '', $qui))
			$admins[$qui['id_auteur']] = $nom;
	}
	return array(
		count($webmestres) ? join(', ', $webmestres) : _T('histoconnexions:variable_vide'),
		count($admins) ? join(', ', $admins) : _T('histoconnexions:variable_vide')
	);
}


